ServerEvents.recipes(event => {







    //Create

 
  event.shaped(
    Item.of('create:belt_connector', 1), 
    [
    'BBB',
    'BBB'
    ],
    {
    B: 'afc:rubber_bar'
    }
) 
 
event.shaped(
  Item.of('create:wrench', 1), 
  [
  'AA ',
  'AB ',
  ' C '
  ],
  {
  A: 'tfc:metal/sheet/gold',
  B: 'create:cogwheel',
  C: 'immersiveengineering:stick_treated'
  }
) 
 
event.shaped(
  Item.of('create:mechanical_press', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:shaft',
  B: 'create:andesite_casing',
  C: 'railcraft:steel_block'
  }
)  

event.shaped(
  Item.of('create:basin', 1), 
  [
  'B B',
  'B B',
  'BBB'
  ],
  {
  B: 'tfc:metal/ingot/cast_iron'
  }
) 
 
event.shaped(
  Item.of('create:weighted_ejector', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'tfc:metal/sheet/gold',
  B: 'create:depot',
  C: 'create:cogwheel'
  }
)  

event.shaped(
  Item.of('create:chute', 1), 
  [
  'B B',
  'B B',
  'B B'
  ],
  {
  B: 'tfc:metal/ingot/cast_iron'
  }
)  
 
event.shaped(
  Item.of('create:smart_chute', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'tfc:metal/sheet/brass',
  B: 'create:chute',
  C: 'create:electron_tube'
  }
)  
 
event.shaped(
  Item.of('create:metal_bracket', 16), 
  [
  'AAA',
  'BCB'
  ],
  {
  A: 'tfc:metal/sheet/cast_iron',
  B: 'tfc:metal/ingot/cast_iron',
  C: 'create:andesite_alloy'
  }
)   
 
event.shaped(
  Item.of('create:copper_valve_handle', 1), 
  [
  'AAA',
  ' B '
  ],
  {
  A: 'tfc:metal/sheet/copper',
  B: 'create:andesite_alloy'
  }
)   
 
event.shaped(
  Item.of('create:fluid_tank', 1), 
  [
  ' A ',
  ' B ',
  ' A '
  ],
  {
  A: 'tfc:metal/sheet/copper',
  B: 'pneumaticcraft:pressure_chamber_glass'
  }
)     
 
event.shaped(
  Item.of('create:hose_pulley', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:copper_casing',
  B: 'immersiveengineering:wirecoil_structure_rope',
  C: 'tfc:metal/sheet/copper'
  }
)      
 
event.shaped(
  Item.of('create:item_drain', 1), 
  [
  'A',
  'B'
  ],
  {
  A: 'tfc:metal/bars/wrought_iron',
  B: 'create:copper_casing'
  }
)        
 
event.shaped(
  Item.of('create:spout', 1), 
  [
  'A',
  'B'
  ],
  {
  A: 'create:copper_casing',
  B: 'immersiveengineering:toolupgrade_chemthrower_focus'
  }
)   
 
event.shaped(
  Item.of('create:steam_engine', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'tfc:metal/sheet/gold',
  B: 'pneumaticcraft:pneumatic_cylinder',
  C: 'tfc:metal/double_ingot/copper'
  }
)    
 
event.shaped(
  Item.of('create:rope_pulley', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:andesite_casing',
  B: 'immersiveengineering:wirecoil_structure_rope',
  C: 'tfc:metal/sheet/wrought_iron'
  }
)          
 
event.shaped(
  Item.of('create:steam_whistle', 1), 
  [
  'A',
  'B'
  ],
  {
  A: 'tfc:metal/sheet/gold',
  B: 'tfc:metal/ingot/copper'
  }
)     
 
event.shaped(
  Item.of('create:elevator_pulley', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:brass_casing',
  B: 'immersiveengineering:wirecoil_structure_rope',
  C: 'tfc:metal/sheet/wrought_iron'
  }
)       
 
event.shaped(
  Item.of('create:mechanical_harvester', 1), 
  [
  ' BB',
  'ACC',
  ' BB'
  ],
  {
  A: 'create:andesite_casing',
  B: 'create:andesite_alloy',
  C: 'tfc:metal/shears/black_steel'
  }
)         
 
event.shaped(
  Item.of('create:mechanical_plough', 1), 
  [
  ' BC',
  'ABC',
  ' BC'
  ],
  {
  A: 'create:andesite_casing',
  B: 'create:andesite_alloy',
  C: 'tfc:metal/sheet/wrought_iron'
  }
)     
 
event.shaped(
  Item.of('create:mechanical_crafter', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:electron_tube',
  B: 'create:brass_casing',
  C: '#tfc:workbenches'
  }
)     
 
event.shaped(
  Item.of('create:mechanical_arm', 1), 
  [
  'ABB',
  '  C',
  ' DE'
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:metal/sheet/gold',
  C: 'pneumaticcraft:pneumatic_cylinder',
  D: 'create:brass_casing',
  E: 'create:precision_mechanism'
  }
)     
 
event.shaped(
  Item.of('create:item_vault', 1), 
  [
  ' A ',
  ' B ',
  ' A '
  ],
  {
  A: 'tfc:metal/sheet/wrought_iron',
  B: 'immersiveengineering:wooden_barrel'
  }
)     
 
event.shaped(
  Item.of('create:andesite_funnel', 1), 
  [
  ' A ',
  ' B ',
  '   '
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:food/dried_seaweed'
  }
)     
 
event.shaped(
  Item.of('create:brass_funnel', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'create:electron_tube',
  B: 'create:brass_casing',
  C: 'tfc:food/dried_seaweed'
  }
)      
 
event.shaped(
  Item.of('create:andesite_tunnel', 1), 
  [
  'AA ',
  'BB ',
  '   '
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:food/dried_seaweed'
  }
)      
 
event.shaped(
  Item.of('create:brass_tunnel', 1), 
  [
  'C  ',
  'AA ',
  'BB '
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:food/dried_seaweed',
  C: 'create:electron_tube'
  }
)     
 
event.shaped(
  Item.of('create:display_link', 1), 
  [
  ' A ',
  ' B ',
  ' C '
  ],
  {
  A: 'minecraft:redstone_torch',
  B: 'create:brass_casing',
  C: 'tfc:metal/sheet/copper'
  }
)     
 
event.shaped(
  Item.of('create:placard', 1), 
  [
  'AB'
  ],
  {
  A: 'minecraft:item_frame',
  B: 'tfc:metal/sheet/gold'
  }
)     
 
event.shaped(
  Item.of('create:pulse_repeater', 1), 
  [
  'ABC',
  'DDD'
  ],
  {
  A: 'minecraft:redstone',
  B: 'tfc:metal/sheet/brass',
  C: 'minecraft:redstone_torch',
  D: '#tfc:rock/raw'
  }
)      
 
event.shaped(
  Item.of('create:pulse_extender', 1), 
  [
  '  C',
  'ABC',
  'DDD'
  ],
  {
  A: 'minecraft:redstone',
  B: 'tfc:metal/sheet/brass',
  C: 'minecraft:redstone_torch',
  D: '#tfc:rock/raw'
  }
)     
 
event.shaped(
  Item.of('create:peculiar_bell', 1), 
  [
  ' A ',
  'B B',
  'B B'
  ],
  {
  A: 'tfc:metal/double_ingot/brass',
  B: 'tfc:metal/sheet/brass'
  }
)     
 
event.shaped(
  Item.of('create:propeller', 1), 
  [
  ' B ',
  'BAB',
  ' B '
  ],
  {
  A: 'create:andesite_alloy',
  B: 'firmalife:metal/double_sheet/stainless_steel'
  }
)     
 
event.shaped(
  Item.of('create:whisk', 1), 
  [
  ' A ',
  'BAB',
  'BBB'
  ],
  {
  A: 'create:andesite_alloy',
  B: 'firmalife:metal/double_sheet/stainless_steel'
  }
)      
 
event.shaped(
  Item.of('create:brass_hand', 1), 
  [
  ' A ',
  'BBB',
  ' B '
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:metal/sheet/brass'
  }
)       
 
event.shaped(
  Item.of('create:crafter_slot_cover', 1), 
  [
  'B'
  ],
  {
  B: 'tfc:metal/sheet/brass'
  }
)     
 
event.shaped(
  Item.of('create:goggles', 1), 
  [
  ' A ',
  'CBC'
  ],
  {
  A: 'tfc:wool_yarn',
  B: 'tfc:metal/sheet/gold',
  C: 'minecraft:tinted_glass'
  }
)     
 
event.shaped(
  Item.of('create:super_glue', 1), 
  [
  'DB',
  'CA'
  ],
  {
  A: 'minecraft:slime_ball',
  B: 'tfc:metal/sheet/wrought_iron',
  C: 'immersiveengineering:toolupgrade_chemthrower_focus',
  D: 'tfc:glue'
  }
)     
 
event.shaped(
  Item.of('create:minecart_coupling', 1), 
  [
  '  A',
  ' B ',
  'A'
  ],
  {
  A: 'create:andesite_alloy',
  B: 'tfc:metal/sheet/wrought_iron'
  }
)     
 
event.shaped(
  Item.of('create:crafting_blueprint', 1), 
  [
  'AB'
  ],
  {
  A: 'minecraft:painting',
  B: '#tfc:workbenches'
  }
)      
 
event.shaped(
  Item.of('create:copper_diving_helmet', 1), 
  [
  'AAA',
  'ABA'
  ],
  {
  A: 'tfc:metal/sheet/copper',
  B: 'pneumaticcraft:pressure_chamber_glass'
  }
)      
 
event.shaped(
  Item.of('create:copper_diving_boots', 1), 
  [
  'A A',
  'A A',
  'B B'
  ],
  {
  A: 'tfc:metal/sheet/copper',
  B: 'tfc_ie_addon:metal/double_ingot/lead'
  }
)      
 

event.shapeless(
  Item.of('create:sand_paper', 1), 
  [
    'minecraft:paper',
    '#tfc:sands', 	       
    'tfc:powder/flux',
    'tfc:glue',
    '#tfc:gem_powders'
  ]
)    
 
event.shaped(
  Item.of('create:filter', 1), 
  [
  'ABA'
  ],
  {
  A: 'create:andesite_alloy',
  B: 'minecraft:book'
  }
)      
 
event.shaped(
  Item.of('create:attribute_filter', 1), 
  [
  'ABA'
  ],
  {
  A: 'tfc:metal/sheet/brass',
  B: 'minecraft:book'
  }
)      
 
event.shaped(
  Item.of('create:schematicannon', 1), 
  [
  ' A ',
  'BAB',
  'CDC'
  ],
  {
  A: 'pneumaticcraft:cannon_barrel',
  B: 'immersiveengineering:treated_wood_horizontal',
  C: '#tfc:rock/hardened',
  D: 'minecraft:dispenser'
  }
)       
 
event.shaped(
  Item.of('create:schematic_table', 1), 
  [
  'AAA',
  ' B ',
  ' B '
  ],
  {
  A: 'immersiveengineering:slab_treated_wood_horizontal',
  B: '#tfc:rock/hardened'
  }
)        
 
event.shaped(
  Item.of('create:millstone', 1), 
  [
  ' A ',
  ' B ',
  'CDC'
  ],
  {
  A: 'create:cogwheel',
  B: 'tfc:handstone',
  C: 'create:andesite_casing',
  D: 'tfc:quern'
  }
)        
 
event.shaped(
  Item.of('create:brown_toolbox', 1), 
  [
  ' A ',
  'BCB',
  ' D '
  ],
  {
  A: 'create:large_cogwheel',
  B: 'tfc:metal/double_sheet/rose_gold',
  C: '#forge:chests/wooden',
  D: '#forge:leather'
  }
)          




  event.shaped(
    Item.of('create:copper_backtank', 1), 
    [
      'GBG',
      'PAP',
      ' P '
    ],
  {
      G: 'create:shaft',
      A: 'pneumaticcraft:small_tank',
      B: 'tfc:bellows',
      P: 'tfc:metal/ingot/copper'
  }
)          


event.shaped(
  Item.of('create:minecart_coupling', 1), 
  [
    '  A',
    ' B ',
    'A  '
  ],
{
    A: 'create:andesite_alloy',
    B: 'tfc:metal/sheet/wrought_iron'
}
)          


event.shaped(
  Item.of('create:metal_girder', 8), 
  [
    'BBB',
    'AAA'
  ],
{
    A: 'create:andesite_alloy',
    B: 'tfc:metal/sheet/wrought_iron'
}
)          


event.shaped(
  Item.of('create:electron_tube', 1), 
  [
    'A',
    'B'
  ],
{
    A: 'create:polished_rose_quartz',
    B: 'tfc:metal/sheet/wrought_iron'
}
)          


event.shaped(
  Item.of('create:mechanical_saw', 1), 
  [
    ' B ',
    'BAB',
    ' C '
  ],
{
    A: 'tfc:metal/ingot/wrought_iron',
    B: 'tfc:metal/sheet/wrought_iron',
    C: 'create:andesite_casing'
}
)         


event.shaped(
  Item.of('create:redstone_contact', 2), 
  [
    ' A ',
    'CBC',
    'CCC'
  ],
{
    A: 'tfc:metal/sheet/wrought_iron',
    B: 'minecraft:redstone',
    C: '#tfc:cobble'
}
) 





























  


    //Pressing 

    event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/bismuth"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/bismuth"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/bismuth_bronze"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/bismuth_bronze"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/black_bronze"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/black_bronze"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/bronze"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/bronze"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/brass"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/brass"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/copper"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/copper"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/gold"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/gold"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/nickel"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/nickel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/rose_gold"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/rose_gold"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/silver"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/silver"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/tin"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/tin"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/zinc"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/zinc"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/sterling_silver"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/sterling_silver"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/cast_iron"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/cast_iron"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/steel"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/steel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/black_steel"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/black_steel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/blue_steel"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/blue_steel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc:metal/ingot/red_steel"
          }
        ],
        "results": [
          {
            "item": "tfc:metal/sheet/red_steel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "firmalife:metal/ingot/chromium"
          }
        ],
        "results": [
          {
            "item": "firmalife:metal/sheet/chromium"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "firmalife:metal/ingot/stainless_steel"
          }
        ],
        "results": [
          {
            "item": "firmalife:metal/sheet/stainless_steel"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc_ie_addon:metal/ingot/electrum"
          }
        ],
        "results": [
          {
            "item": "tfc_ie_addon:metal/sheet/electrum"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc_ie_addon:metal/ingot/aluminum"
          }
        ],
        "results": [
          {
            "item": "tfc_ie_addon:metal/sheet/aluminum"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc_ie_addon:metal/ingot/lead"
          }
        ],
        "results": [
          {
            "item": "tfc_ie_addon:metal/sheet/lead"
          }
        ]
      })
      
      event.custom({
        "type": "create:pressing",
        "ingredients": [
          {
            "item": "tfc_ie_addon:metal/ingot/uranium"
          }
        ],
        "results": [
          {
            "item": "tfc_ie_addon:metal/sheet/uranium"
          }
        ]
      })
      
      //Pressure Chamber  

event.custom({
  "type": "pneumaticcraft:pressure_chamber",
  "inputs": [
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "tag": "tfc:stripped_logs"
    },
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "item": "create:andesite_alloy"
    }
  ],
  "pressure": 1.5,
  "results": [
    {
      "item": "create:andesite_casing"
    }
  ]
}
)

event.custom({
  "type": "pneumaticcraft:pressure_chamber",
  "inputs": [
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "tag": "tfc:stripped_logs"
    },
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "item": "tfc:metal/ingot/brass"
    }
  ],
  "pressure": 2.5,
  "results": [
    {
      "item": "create:brass_casing"
    }
  ]
}
)

event.custom({
  "type": "pneumaticcraft:pressure_chamber",
  "inputs": [
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "tag": "tfc:stripped_logs"
    },
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "item": "tfc:metal/ingot/copper"
    }
  ],
  "pressure": 2.5,
  "results": [
    {
      "item": "create:copper_casing"
    }
  ]
}
)


event.custom({
  "type": "pneumaticcraft:pressure_chamber",
  "inputs": [
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "item": "create:brass_casing"
    },
    {
      "type": "pneumaticcraft:stacked_item",
      "count": 1,
      "item": "create:sturdy_sheet"
    }
  ],
  "pressure": 4,
  "results": [
    {
      "item": "create:railway_casing"
    }
  ]
}
)



  //Sequenced Assembly

event.custom({
  "type": "create:sequenced_assembly",
  "ingredient": {
    "item": "create:powdered_obsidian"
  },
  "transitionalItem": {
    "item": "create:unprocessed_obsidian_sheet"
  },
  "sequence": [
    {
      "type": "create:filling",
      "ingredients": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        },
        {
          "fluid": "immersiveengineering:creosote",
          "nbt": {},
          "amount": 50
        }
      ],
      "results": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        }
      ]
    },
    {
      "type": "create:pressing",
      "ingredients": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        }
      ],
      "results": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        }
      ]
    },
    {
      "type": "create:pressing",
      "ingredients": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        }
      ],
      "results": [
        {
          "item": "create:unprocessed_obsidian_sheet"
        }
      ]
    }
  ],
  "results": [
    {
      "item": "create:sturdy_sheet"
    }
  ],
  "loops": 1
}
)

event.custom({
  "type": "create:sequenced_assembly",
  "ingredient": {
    "item": "tfc:metal/sheet/gold"
  },
  "transitionalItem": {
    "item": "create:incomplete_precision_mechanism"
  },
  "sequence": [
    {
      "type": "create:deploying",
      "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "create:cogwheel"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
        }
      ]
    },
    {
      "type": "create:deploying",
      "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "create:large_cogwheel"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
        }
      ]
    },
    {
      "type": "create:deploying",
      "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "immersiveengineering:nugget_steel"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
        }
      ]
    }
  ],
  "results": [
    {
      "item": "create:precision_mechanism",
      "chance": 80.0
    },
    {
      "item": "tfc:metal/sheet/gold",
      "chance": 19.5
    },
    {
      "item": "endrem:rogue_eye",
      "chance": 0.5
    }
  ],
  "loops": 5
}
)


event.custom({
  "type": "create:sequenced_assembly",
  "ingredient": {
    "item": "railcraft:stone_railbed"
  },
  "transitionalItem": {
    "item": "create:incomplete_track"
  },
  "sequence": [
    {
      "type": "create:deploying",
      "ingredients": [
        {
          "item": "create:incomplete_track"
        },
        [
          {
            "item": "immersiveengineering:nugget_steel"
          },
          {
            "item": "create:zinc_nugget"
          }
        ]
      ],
      "results": [
        {
          "item": "create:incomplete_track"
        }
      ]
    },
    {
      "type": "create:deploying",
      "ingredients": [
        {
          "item": "create:incomplete_track"
        },
        [
          {
            "item": "immersiveengineering:nugget_steel"
          },
          {
            "item": "create:zinc_nugget"
          }
        ]
      ],
      "results": [
        {
          "item": "create:incomplete_track"
        }
      ]
    },
    {
      "type": "create:pressing",
      "ingredients": [
        {
          "item": "create:incomplete_track"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_track"
        }
      ]
    }
  ],
  "results": [
    {
      "item": "create:track",
      "count": 4,
    }
  ],
  "loops": 1
}
)







  //Deploying

  event.custom({
    "type": "create:deploying",
    "ingredients": [
      {
        "item": "create:shaft"
      },
      {
        "item": "immersiveengineering:treated_wood_horizontal"
      }
    ],
    "results": [
      {
        "item": "create:cogwheel"
      }
    ]
  }
  )

  event.custom({
    "type": "create:deploying",
    "ingredients": [
      {
        "item": "create:cogwheel"
      },
      {
        "item": "immersiveengineering:treated_wood_horizontal"
      }
    ],
    "results": [
      {
        "item": "create:large_cogwheel"
      }
    ]
  }
  )

//Filling

event.custom({
  "type": "create:filling",
  "ingredients": [
    {
      "tag": "tfc:hardened_igneous_extrusive_stone"
    },
    {
      "fluid": "tfc:metal/wrought_iron",
      "nbt": {},
      "amount": 25
    }
  ],
  "results": [
    {
      "item": "create:andesite_alloy"
    }
  ]
}
)

event.custom({
  "type": "create:filling",
  "ingredients": [
    {
      "tag": "tfc:hardened_igneous_extrusive_stone"
    },
    {
      "fluid": "tfc:metal/zinc",
      "nbt": {},
      "amount": 10
    }
  ],
  "results": [
    {
      "item": "create:andesite_alloy"
    }
  ]
}
)



//Sandpaper Polishing

event.custom({
  "type": "create:sandpaper_polishing",
  "ingredients": [
    {
      "tag": "tfc:raw_metamorphic_stone"
    }
  ],
  "results": [
    {
      "item": "create:shaft"
    }
  ]
}
)



    //Arc Furnace

  event.custom({
    "type": "immersiveengineering:arc_furnace",
    "results": [
      {
        "count": 4,
        "base_ingredient": {
          "item": "create:andesite_alloy"
        }
      }
    ],
    "additives": [
      {
        "count": 8,
        "base_ingredient": {
          "tag": "tfc:hardened_igneous_extrusive_stone"
        }
      }
    ],
    "input": {
      "count": 1,
      "base_ingredient": {
        "item": "tfc:metal/ingot/zinc"
      }
    },
    "time": 100,
    "energy": 51200
  }
)



//Mixing


event.custom({
  "type": "create:mixing",
  "ingredients": [
    {
      "tag": "forge:fruits/berries"
      
    },
    {
      "item": "minecraft:sugar"
      
    },
    {
      "fluidTag": "tfc:molten_chocolate",
      "amount": 100
      
    }
  ],
  "results": [
    {
      "item": "create:chocolate_glazed_berries"
    }
  ],
  "heatRequirement": "lowheated"
}
)



  //Rock To Ore Chain



  event.custom({
    "type": "create:crushing",
    "ingredients": [
      {
        "item": "tfc:rock/gravel/rhyolite"
      }
    ],
    "results": [
      {
        "item": "tfcorewashing:pile_pink_sand"
      },
      {
        "item": "tfcorewashing:dirty_dust_cinnabar",
        "chance": 0.05
      }
    ],
    "processingTime": 10000,
    "conditions": [
      {}
    ]
  }
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:sand/pink"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:dirty_dust_cinnabar",
      "chance": 0.20
    }
  ],
  "processingTime": 10000
 }
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/basalt"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_black_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_sulfur",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/black"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_sulfur",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/gneiss"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_brown_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_uraninite",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/brown"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_uraninite",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/schist"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_green_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_galena",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/green"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_galena",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/limestone"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_yellow_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_bauxite",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/yellow"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_bauxite",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/diorite"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_white_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_garnierite",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/white"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_garnierite",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)

event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/granite"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_red_sand"
    },
    {
      "item": "tfcorewashing:dirty_dust_chromite",
      "chance": 0.05
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)

event.custom({
"type": "create:crushing",
"ingredients": [
  {
    "item": "tfc:sand/red"
  }
],
"results": [
  {
    "item": "tfcorewashing:dirty_dust_chromite",
    "chance": 0.20
  }
],
"processingTime": 10000
}
)



event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "tfc:rock/gravel/claystone"
    }
  ],
  "results": [
    {
      "item": "tfcorewashing:pile_red_sand"
    },
    {
      "item": "tfc:kaolin_clay",
      "chance": 0.001
    }
  ],
  "processingTime": 10000,
  "conditions": [
    {}
  ]
}
)





    //Instant Barrel

    event.custom({
      "__comment__": "This file was automatically created by mcresources",
      "type": "tfc:barrel_instant",
      "input_item": {
        "ingredient": {
          "tag": "forge:fruits/berries"
        }
      },
      "input_fluid": {
        "ingredient": "firmalife:chocolate",
        "amount": 250
      },
      "output_item": {
        "item": "create:chocolate_glazed_berries"
      }
    }
  )

  event.custom({
    "__comment__": "This file was automatically created by mcresources",
    "type": "tfc:barrel_instant",
    "input_item": {
      "ingredient": {
        "tag": "forge:fruits/berries"
      }
    },
    "input_fluid": {
      "ingredient": "tfcchannelcasting:dark_chocolate",
      "amount": 250
    },
    "output_item": {
      "item": "create:chocolate_glazed_berries"
    }
  }
)

event.custom({
  "__comment__": "This file was automatically created by mcresources",
  "type": "tfc:barrel_instant",
  "input_item": {
    "ingredient": {
      "tag": "forge:fruits/berries"
    }
  },
  "input_fluid": {
    "ingredient": "tfcchannelcasting:milk_chocolate",
    "amount": 250
  },
  "output_item": {
    "item": "create:chocolate_glazed_berries"
  }
}
)

event.custom({
  "__comment__": "This file was automatically created by mcresources",
  "type": "tfc:barrel_instant",
  "input_item": {
    "ingredient": {
      "tag": "forge:fruits/berries"
    }
  },
  "input_fluid": {
    "ingredient": "tfcchannelcasting:white_chocolate",
    "amount": 250
  },
  "output_item": {
    "item": "create:chocolate_glazed_berries"
  }
}
)





  }
)

